Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant.taskdefs.ccm.commands
Class Checkout

    java.lang.Object
      com.nokia.ant.taskdefs.ccm.commands.CcmCommand
          com.nokia.ant.taskdefs.ccm.commands.Checkout

    public class Checkout

extends CcmCommand

Constructor Summary
`Checkout()`

Method Summary
`java.lang.String` | `getProject()`
`java.lang.String` | `getPurpose()`
`boolean` | `getRecursive()`
`boolean` | `getRelative()`
`java.lang.String` | `getRelease()`
`java.lang.String` | `getVersion()`
`java.lang.String` | `getWa()`
`void` | `setProject(java.lang.String project)`
`void` | `setPurpose(java.lang.String purpose)`
`void` | `setRecursive(boolean recursive)`
`void` | `setRelative(boolean relative)`
`void` | `setRelease(java.lang.String release)`
`void` | `setVersion(java.lang.String version)`
`void` | `setWa(java.lang.String wa)`

Methods inherited from class com.nokia.ant.taskdefs.ccm.commands.CcmCommand
`getName, getTask, setTask`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Checkout

    public Checkout()

Method Detail

### getProject

    public java.lang.String getProject()

### setProject

    public void setProject(java.lang.String project)

### getRelease

    public java.lang.String getRelease()

### setRelease

    public void setRelease(java.lang.String release)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getPurpose

    public java.lang.String getPurpose()

### setPurpose

    public void setPurpose(java.lang.String purpose)

### getWa

    public java.lang.String getWa()

### setWa

    public void setWa(java.lang.String wa)

### getRecursive

    public boolean getRecursive()

### setRecursive

    public void setRecursive(boolean recursive)

### getRelative

    public boolean getRelative()

### setRelative

    public void setRelative(boolean relative)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD